This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 985908 - Missing dependency
Missing dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ino (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alberto Ruiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:25 EDT by LAurent_B
Modified: 2013-09-20 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: ino-0.3.5-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 19:33:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LAurent_B 2013-07-18 09:25:58 EDT
Description of problem:
* Missing dependency 

Version-Release number of selected component (if applicable):
* 2013-01-29 Miro Hron\u010dok <mhroncok@redhat.com> - 0.3.5-1

Steps to Reproduce: (with arduino board connected)
1. ino init -t blink
2. mkdir lib
3. ino clean && ino  build
4. ino upload
5. ino serial

Actual results:

$ ino serial
Searching for Serial monitor (picocom) ... FAILED
Serial monitor (picocom) not found. Searched in following places: 
  - /usr/lib64/qt-3.3/bin
  - /usr/local/bin
  - /usr/bin
  - /bin
  - /usr/games
  - /usr/local/sbin
  - /usr/sbin
  - /home/laurent/bin


Expected results:

$ ino serial
Searching for Serial monitor (picocom) ... /usr/bin/picocom
Guessing serial port ... /dev/ttyACM0
picocom v1.6

port is        : /dev/ttyACM0
flowcontrol    : none
baudrate is    : 9600
parity is      : none
databits are   : 8
escape is      : C-a
local echo is  : no
noinit is      : no
noreset is     : no
nolock is      : yes
send_cmd is    : sz -vv
receive_cmd is : rz -vv
imap is        : 
omap is        : 
emap is        : crcrlf,delbs,

Terminal ready
  

Additional info:
* http://inotool.org/#requirements

* yum deplist ino 
                                                                                
paquet : ino.noarch 0.3.5-1.fc18
  dépendance   : /usr/bin/python
   provider: python.x86_64 2.7.3-13.fc18
   provider: python.i686 2.7.3-13.fc18
  dépendance   : arduino-core
   provider: arduino-core.noarch 1:1.0.5-1.fc18
  dépendance   : pyserial
   provider: pyserial.noarch 2.6-3.fc18
  dépendance   : python(abi) = 2.7
   provider: python.x86_64 2.7.3-13.fc18
   provider: python.i686 2.7.3-13.fc18
  dépendance   : python-configobj
   provider: python-configobj.noarch 4.7.2-5.fc18
  dépendance   : python-jinja2
   provider: python-jinja2.noarch 2.6-5.fc18
  dépendance   : python-ordereddict
   provider: python-ordereddict.noarch 1.1-5.fc18
Comment 1 Miro Hrončok 2013-07-18 10:21:59 EDT
If you just install picocom, it works? So only issue is to add picocom to the requires? Sorry, I have no Arduino right now :(
Comment 2 LAurent_B 2013-07-18 10:55:08 EDT
(In reply to Miro Hrončok from comment #1)
> If you just install picocom, it works? So only issue is to add picocom to
> the requires? Sorry, I have no Arduino right now :(

Yes, adding picocom to the requires solved the troubles.

Thanks for help 

LAurent_B
Comment 3 Fedora Update System 2013-08-28 14:42:01 EDT
ino-0.3.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ino-0.3.5-3.fc19
Comment 4 Fedora Update System 2013-08-28 14:43:12 EDT
ino-0.3.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-3.fc18
Comment 5 Fedora Update System 2013-08-29 18:18:46 EDT
Package ino-0.3.5-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ino-0.3.5-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15476/ino-0.3.5-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-30 07:37:00 EDT
ino-0.3.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc19
Comment 7 Fedora Update System 2013-08-30 07:40:57 EDT
ino-0.3.5-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc18
Comment 8 Fedora Update System 2013-09-02 19:33:27 EDT
ino-0.3.5-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-20 12:29:23 EDT
ino-0.3.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.